/*************************************************
* Main CSS file for the Kiona Edwards Therapy website
* All custom CSS is contained here, some styles are set in 
* the customizer or page editor.
*************************************************/
/*********
* Spacing & General Styles
* *******/
.wp-block-group__inner-container, .site-content, body > .site.grid-container.container {
	padding: 0 !important;
}
.outer-group > .wp-block-group__inner-container {
	max-width: 1200px;
	margin: auto;
	padding: 30px !important;
}
.rounded-image img {
	border-radius:  50px;
}
/*********
* Cover hero section pieces
* *******/
.outer-group.hero-group h1, .outer-group.hero-group p.sub-page-hero-p {
	font-size: 64px;
	font-weight: 600;
	text-shadow: 0px 4px 4px rgba(0,0,0,0.5);
}
.outer-group.hero-group p.sub-page-hero-p {
	font-family: "playfair display", sans-serif;
	color: var(--base-2);
}
@media(max-width: 768px) {
	.outer-group.hero-group h1 {
		font-size: 48px
	}
	 .outer-group.hero-group p.sub-page-hero-p {
		font-size: 24px
	}
}
.outer-group.hero-group h1, .outer-group.hero-group p {
	color: var(--base-2);
	font-weight: 800;
}
.outer-group.hero-group.sub-group, .outer-group.hero-group {
	margin-top: -103px;
	min-height: 400px;
	padding: 132px 0px 0px;
	background: var(--contrast-3);
}
.outer-group.hero-group.sub-group {
	min-height:auto;
}
.outer-group.hero-group {
	padding: 132px 0px 80px;
	background: url('https://kionaedwardstherapy.com/wp-content/uploads/2025/11/mountains-water-scaled-1.jpeg') no-repeat bottom left / cover;
	display: flex;
	flex-direction: column;
	justify-content: center;
}
/*********
* Hide elements
* *******/
.copyright-bar {
	display: none;
}
/*********
* Buttons
* *******/
.wp-block-button a, div.wpforms-container-full button[type='submit'], #mc4wp-form-1 input[type='submit'] {
	background-color: var(--contrast-3) !important;
	border: 2px solid var(--contrast-3) !important;
	border-radius: 100% !important;
	box-shadow: 3px 6px 6px rgba(0,0,0,0.25);
	transition: box-shadow 0.5s linear !important;
}
.wp-block-button a:hover, div.wpforms-container-full button[type='submit']:hover, #mc4wp-form-1 input[type='submit']:hover {
	background-color: var(--base-2) !important;
	box-shadow: 0 0 20px var(--contrast-3) inset;
	color: var(--contrast-2) !important;
	transition: box-shadow 0.5s linear !important;
}
.wp-block-button a:active, button[type='submit']:active, #mc4wp-form-1 input[type='submit']:active {
	background-color: var(--base-2) !important;
	box-shadow: 0 0 20px var(--contrast-3) inset;
	color: var(--contrast-2) !important;
	border-color: transparent !important;
}
.top-bar .wp-block-button a {
	padding: 1px 10px !important;
    border-radius: 5px !important;
}
/*************************************************
* Header
* ***********************************************/
.top-bar {
	background-color: var(--contrast-2) !important;
}
.top-bar a {
	color: var(--base-2) !important;
}
.top-bar a:not(.wp-block-button__link):hover {
	color: var(--accent) !important;
}
/* .top-bar p > em > a:hover {
	color: var(--base) !important;
} */
.top-bar .widget {
	width:  100%;
	margin:  0;
}
.top-bar .widget > .wp-block-group p:nth-child(1) {
	font-family: "playfair display", sans-serif;
}
@media(max-width: 768px) {
	.top-bar .widget > .wp-block-group {
		flex-direction: column;
	}
	.top-bar .widget > .wp-block-group p:nth-child(1){
		display: none;
	}
}
body {
	position: relative;
}
header.site-header {
	position: sticky;
	top: 0;
    width: 100%;
    background-color: transparent;
    transition: background-color 0.25s linear;
    border-style: none none solid none;
    border-color: transparent;
    z-index: 99;
}
@media(max-width: 768px) {
	html.mobile-menu-open header.site-header {
		background-color: var(--base-2) !important;
		transition: none;
	}
}
body header .main-navigation .main-nav ul li a {
	padding-left: 10px;
	padding-right: 10px;
}
body header .main-navigation .main-nav ul li[class*="current-menu-"] > a {
	color: var(--contrast-2) !important;
}
body header a:hover, body header .main-navigation .main-nav ul li[class*="current-menu-"] > a:hover {
	color: var(--base-2) !important;
}
body:not(.home) header #menu-main-menu a:hover, body:not(.home) .main-navigation .main-nav ul li[class*="current-menu-"] > a  {
	color: var(--base-2) !important;
}
body:not(.home) header.custom-stuck #menu-main-menu a:hover, body:not(.home) header.custom-stuck .main-navigation .main-nav ul li[class*="current-menu-"] > a,
body header.custom-stuck a:hover, body header.custom-stuck .main-navigation .main-nav ul li[class*="current-menu-"] > a  {
	color: var(--contrast-3) !important;
}
#primary-menu, .inside-navigation.grid-container, #site-navigation {
	width: 100%;
	margin-left: 0 !important;
}
ul#menu-main-menu {
	justify-content: space-evenly;
}
#menu-main-menu a {
	font-weight: 800;
}
/*************************************************
* Footer
* ***********************************************/
.site-footer {
	position: relative;
}
.footer-widget-1 aside:nth-child(1) p {
	font-size: 36px;
	font-weight: 600;
	font-family: "playfair display";
}
.footer-widget-2 {
	text-align: center;
}
.footer-widget-2 a {
	text-decoration: none;
}
.footer-widget-3 input[type='email'] {
	color: var(--base-2) !important;
    background-color: transparent !important;
    border-color: var(--base-2) !important;
    border-style: none none solid none !important;
}
.footer-widget-3 input[type='email']:focus, .footer-widget-3 input[type='email']:hover {
	border-color: var(--accent) !important;
}
.footer-widget-3 input[type='email']::placeholder {
  color: var(--base-2); /* Sets the placeholder color to red */
}
/* .site-footer .footer-widget-3 .inner-padding {
	padding: 0 !important;
}
.footer-widget-3 {
	border: 3px solid var(--accent);
    border-radius: 100%;
    height: 300px;
    justify-content: center;
    display: flex;
    flex-direction: column;
	flex: none !important;
	max-width: 33%;
	padding: 2rem 1rem;
}

.footer-widget-3 #block-14 {
	margin-bottom: 0;
}

.footer-widget-3 #block-13 {
	margin-bottom: 10px;
}
.footer-widget-3 p.email-form-container {
	align-items: center;
}
.footer-widget-3 p.email-form-container input:nth-child(2) {
	max-width: 150px;
}
.footer-widget-3 input {
	border-radius: 10px !important;
} */
@media(max-width: 768px) {
	.site-footer {
		text-align: center;
	}
/* 	.footer-widget-3 {
		max-width: 100%;
		padding: 10px 40px;
	} */
}
/* @media(max-width: 950px) {
	.footer-widget-3 h2 {
		font-size: 24px !important;
		margin-bottom: 20px;
	}
} */
/*************************************************
* Home Page
* ***********************************************/
#reflective-group {
	min-height: 400px;
	display: flex;
	flex-direction: column;
	justify-content: center;
	position: relative;
}
#fit-group .playfair-p {
	font-family: "playfair display";
	font-style: italic;
}
#fit-group {
	padding: 100px 0;
}
.outer-group.outer-row {
	margin: 50px 0;
	padding: 5px 0;
	background-color:  var(--contrast-2);
	gap: 0;
}
.outer-group.outer-row .accepts-group {
	width: 25%;
}
@media(max-width: 768px) {
	.outer-group.outer-row .accepts-group {
		width: 100%;
		margin-bottom: 60px;
	}
}
.outer-group.outer-row p {
	color: var(--base-3);
	text-align: center;
}

.accepts-group > .wp-block-group__inner-container {
	display: flex;
	flex-direction: column;
	align-items: center;
}
.accepts-group img {
	height: 50px;
	width: auto;
}
.accepts-group p {
	margin: 10px 0 0;
}
#services-group {
	background-color: var(--contrast-2);
	color: var(--base-3);
	margin-top: 100px;
}
#services-group .service-row {
	width: 100%;
	padding:  30px 0;
	margin-bottom: calc(3em + 50px);
	text-align: center;
	display: flex;
	justify-content: space-between;
}
@media(max-width: 768px) {
	#services-group .service-row {
		flex-wrap: wrap;
		justify-content:center;
	}
}
#services-group h2, #services-group .service-row h3 {
	color: var(--base-2);
}
#services-group .service-row h3 a {
	font-size: 14px;
	margin: 0;
	padding: 10px 20px;
	border:  1px solid var(--base-2);
	border-radius: 100%;
	color: var(--base-2);
	text-decoration: none;
	transition: all 0.25s ease;
}
#services-group .service-row h3 a:hover {
	filter: drop-shadow(0px 0px 20px var(--base-2));
	border-color: var(--accent);
	transform:translateY(5px);
}
#cta-group {
	max-width: 1200px;
	margin: auto;
	padding: 100px 0;
	background: url('https://kionaedwardstherapy.com/wp-content/uploads/2025/11/footpath-contrast.png') no-repeat right / contain;
}
#cta-group h2 {
	text-shadow: 0 4px 4px var(--base-2);
}
#cta-group .wp-block-button {
	margin: 30px 0 0 0;
	width: 500px;
	max-width: 100%;
}
@media(max-width: 768px) {
	#cta-group {
		padding: 300px 0 100px;
	background: url('https://kionaedwardstherapy.com/wp-content/uploads/2025/11/footpath-contrast.png') no-repeat top / 50%;
	}
}
/**********************
* Wave graphic before/ after elements
***********************/
.outer-group.hero-group.sub-group, .outer-group.outer-row, #services-group {
	position: relative;
}
.outer-group.outer-row::before, .outer-group.outer-row::after,
#services-group::before, #services-group::after,
.outer-group.hero-group.sub-group::after {
	content: "";
	width: 100%;
	height: 50px;
	position: absolute;
	top: -49px;
	left: 0;
	background: url('https://kionaedwardstherapy.com/wp-content/uploads/2025/11/wave-bg.png') no-repeat bottom left / 100% 100%;
}
.outer-group.outer-row::after, #services-group::after, .outer-group.hero-group.sub-group::after {
	bottom: -49px;
	top: auto;
	transform: rotate(180deg);
}
.outer-group.hero-group.sub-group::after {
	background: url('https://kionaedwardstherapy.com/wp-content/uploads/2025/11/wave-bg-purple.png') no-repeat bottom left / 100% 100%;
}
/*************************************************
* Sub Page
* ***********************************************/
.outer-group.hero-group.sub-group h1 {
	visibility: hidden;
	font-size: 12px;
}
#about-group, #contact-info, #individual-group, #groups-group, #group-content {
	padding: 100px 0 50px;
}
#about-group h2.nunito-header, #about-group h3.nunito-header {
	font-family: "nunito sans", sans-serif;
	font-size: 24px;
	font-weight: 600;
}
/*************************************************
* individual therapy Page
* ***********************************************/
.business-col {
	position: relative;
}
.business-col .wp-block-column:nth-child(2) .wp-block-buttons {
	position: sticky;
	top: 150px;
}
.business-col .wp-block-column:nth-child(2) .wp-block-button {
	width: 100%;
}
/*************************************************
* Workshop and Group therapy
* ***********************************************/
#groups-group .wp-block-column {
	padding: 1rem;
	box-shadow: 0px 4px 4px rgba(0,0,0,0.33);
	border-radius: 50px;
	text-align: center;
}
#groups-group .group-header {
	margin: -1rem -1rem 0;
	padding: 2rem 1rem;
	color: var(--base-2);
	border-top-right-radius: 50px;
	border-top-left-radius: 50px;
	background:  url('https://kionaedwardstherapy.com/wp-content/uploads/2025/12/Front-Cover-Seen-Final-1.png') 0% 60% / cover;
}
#groups-group .learn-more {
	font-family: "playfair display", sans-serif;
	text-decoration: underline;
}
#groups-group .class-status {
	font-weight: 800;
}
/*************************************************
* FAQ 
* ***********************************************/
.faq-section {
  max-width: 800px;
  margin: 50px auto;
  padding: 20px;
  display: flex;
  gap: 2rem;
}
@media(max-width: 782px) {
	.faq-section {
		flex-direction: column;
		gap: 0;
	}
}
.faq-item {
  border-bottom: 1px solid #ddd;
  padding: 10px 0;
}
.faq-question, .faq-answer {
	color:  var(--contrast-2);
}
.faq-question {
  width: 100%;
  background: none;
  border: none;
  outline: none;
  text-align: left;
  font-size: 1.1rem;
  font-weight: 600;
  cursor: pointer;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 10px;
}
.faq-question .icon {
  transition: transform 0.3s ease;
  font-weight: bold;
  font-size: 1.2rem;
}
.faq-answer {
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.4s ease, padding 0.3s ease;
  padding: 0 0;
}
.faq-answer p {
  margin: 10px 0;
}
.faq-item.active .faq-answer {
  max-height: 200px;
  padding: 10px 0;
}
.faq-item.active .faq-question .icon {
  transform: rotate(180deg);
  content: "–";
}
#wpforms-65-field_12-container {
	padding: 200px 0 0;
	position: relative;
}
#wpforms-65-field_12-container:before {
	content:"PLEASE NOTE: My rate for an individual 60 minute session is $180. Our first Intake session, the Psychiatric Diagnostic Evaluation is $210. I am an out-of-network provider and DO NOT accept insurance. I am able to provide a superbill, for possible out-of-network reimbursement. ";
	position: absolute;
	left: 0;
	width: 100%;
	height: auto;
    font-size: 12px;
    bottom: 220px;
}

@media(max-width: 768px) {
	.wpforms-container .wpforms-one-half {
		width: 100% !important;
	}
	.wpforms-field.wpforms-one-half {
		margin-left: 0 !important;
	}
	.wpforms-container .wpforms-field .wpforms-field-row .wpforms-field-row-block {
		padding: 0;
	}
}
